package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpOutImportIntoPageVO {
   @ApiModelProperty("入库单号")
   private String intoId;
   @ApiModelProperty("仓库id")
   private Long warehouseId;
   @ApiModelProperty("仓库名称")
   private String warehouseName;
   @ApiModelProperty("入库时间")
   private LocalDateTime intoDate;
   @ApiModelProperty("入库类型(1-采购入库,2-退料入库,3-调拨入库,5-即入即出,6-超市退单入库,7-盘点入库)")
   private Integer intoType;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("入库单详情列表")
   private List<DrpOutImportIntoDetailPageVO> detailList;

   public String getIntoId() {
      return this.intoId;
   }

   public Long getWarehouseId() {
      return this.warehouseId;
   }

   public String getWarehouseName() {
      return this.warehouseName;
   }

   public LocalDateTime getIntoDate() {
      return this.intoDate;
   }

   public Integer getIntoType() {
      return this.intoType;
   }

   public String getRemark() {
      return this.remark;
   }

   public List<DrpOutImportIntoDetailPageVO> getDetailList() {
      return this.detailList;
   }

   public void setIntoId(final String intoId) {
      this.intoId = intoId;
   }

   public void setWarehouseId(final Long warehouseId) {
      this.warehouseId = warehouseId;
   }

   public void setWarehouseName(final String warehouseName) {
      this.warehouseName = warehouseName;
   }

   public void setIntoDate(final LocalDateTime intoDate) {
      this.intoDate = intoDate;
   }

   public void setIntoType(final Integer intoType) {
      this.intoType = intoType;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setDetailList(final List<DrpOutImportIntoDetailPageVO> detailList) {
      this.detailList = detailList;
   }


   public String toString() {
      String var10000 = this.getIntoId();
      return "DrpOutImportIntoPageVO(intoId=" + var10000 + ", warehouseId=" + this.getWarehouseId() + ", warehouseName=" + this.getWarehouseName() + ", intoDate=" + String.valueOf(this.getIntoDate()) + ", intoType=" + this.getIntoType() + ", remark=" + this.getRemark() + ", detailList=" + String.valueOf(this.getDetailList()) + ")";
   }
}
